Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class AntProjectPropertiesDelegate

author:
  Guillaume Laforge

Field Summary
`Project` | `project`

Constructor Summary
`AntProjectPropertiesDelegate(Project project)`
`AntProjectPropertiesDelegate(Map t)`

Method Summary
`void` | `clear()`
`Object` | `clone()`
`boolean` | `contains(Object value)`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Enumeration` | `elements()`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Enumeration` | `keys()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`Collection` | `values()`

Constructor Detail

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(Project project)

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(Map t)

Method Detail

### clear

    public void clear()

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### clone

    public Object clone()

### contains

    public boolean contains(Object value)

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### elements

    public Enumeration elements()

### entrySet

    public Set entrySet()

### equals

    public boolean equals(Object o)

### get

    public Object get(Object key)

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### keys

    public Enumeration keys()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### size

    public int size()

### toString

    public String toString()

### values

    public Collection values()